/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

/* You can override the default Infima variables here. */
:root {
  --ifm-color-primary: #3b82f6;
  --ifm-color-primary-dark: #1e6ff5;
  --ifm-color-primary-darker: #0f66f4;
  --ifm-color-primary-darkest: #0953cc;
  --ifm-color-primary-light: #5895f7;
  --ifm-color-primary-lighter: #679ef8;
  --ifm-color-primary-lightest: #92bafa;
  --ifm-code-font-size: 95%;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.1);
}

/* For readability concerns, you should choose a lighter palette in dark mode. */
[data-theme="dark"] {
  --ifm-color-primary: #60a5fa;
  --ifm-color-primary-dark: #3e92f9;
  --ifm-color-primary-darker: #2e89f8;
  --ifm-color-primary-darkest: #076deb;
  --ifm-color-primary-light: #82b8fb;
  --ifm-color-primary-lighter: #92c1fc;
  --ifm-color-primary-lightest: #c5defd;
  --docusaurus-highlighted-code-line-bg: rgba(0, 0, 0, 0.3);
}

.api-method > .menu__link,
.schema > .menu__link {
  align-items: center;
  justify-content: start;
}

.api-method > .menu__link::before,
.schema > .menu__link::before {
  width: 55px;
  height: 20px;
  font-size: 12px;
  line-height: 20px;
  text-transform: uppercase;
  font-weight: 600;
  border-radius: 0.25rem;
  border: 1px solid;
  border-inline-start-width: 5px;
  margin-right: var(--ifm-spacing-horizontal);
  text-align: center;
  flex-shrink: 0;
}

.get > .menu__link::before {
  content: "get";
  background-color: var(--ifm-color-info-contrast-background);
  color: var(--ifm-color-info-contrast-foreground);
  border-color: var(--ifm-color-info-dark);
}

.post > .menu__link::before {
  content: "post";
  background-color: var(--ifm-color-success-contrast-background);
  color: var(--ifm-color-success-contrast-foreground);
  border-color: var(--ifm-color-success-dark);
}

.delete > .menu__link::before {
  content: "del";
  background-color: var(--ifm-color-danger-contrast-background);
  color: var(--ifm-color-danger-contrast-foreground);
  border-color: var(--ifm-color-danger-dark);
}

.put > .menu__link::before {
  content: "put";
  background-color: var(--ifm-color-warning-contrast-background);
  color: var(--ifm-color-warning-contrast-foreground);
  border-color: var(--ifm-color-warning-dark);
}

.patch > .menu__link::before {
  content: "patch";
  background-color: var(--ifm-color-success-contrast-background);
  color: var(--ifm-color-success-contrast-foreground);
  border-color: var(--ifm-color-success-dark);
}

.head > .menu__link::before {
  content: "head";
  background-color: var(--ifm-color-secondary-contrast-background);
  color: var(--ifm-color-secondary-contrast-foreground);
  border-color: var(--ifm-color-secondary-dark);
}

.event > .menu__link::before {
  content: "event";
  background-color: var(--ifm-color-secondary-contrast-background);
  color: var(--ifm-color-secondary-contrast-foreground);
  border-color: var(--ifm-color-secondary-dark);
}

.schema > .menu__link::before {
  content: "schema";
  background-color: var(--ifm-color-secondary-contrast-background);
  color: var(--ifm-color-secondary-contrast-foreground);
  border-color: var(--ifm-color-secondary-dark);
}
